Bug 37195 - Strange warning during Fortran files compiling
Summary: Strange warning during Fortran files compiling
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-23 13:37 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-23 13:37:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-23 13:37:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)


If You use -Wunused option Compiler g77 warns if you have varibales in
COMMON blocks and you don't use them in this subprogram.
It is very iritated especially, if you declare COMMON blocks in including
files.
There were not this effect in previous version of EGCS (f77).

Reproducible: Always
Steps to Reproduce:
1.create the file common.fc which  includes as follows
	real a
	common /AAA/ a
2. create fortran program (ie. test.for):
	program test
	include 'common.fc'
	real b
	b =5.
	write(*,*)' b = ',b
	stop
	end 
3.
	

Actual Results:  warning: unused variable a

Expected Results:  no warning

Comment 1 Jakub Jelinek 2001-04-24 16:21:44 UTC
Upgrade to 2.96-77 or above (like the compiler shipped in 7.1 distro).


Note You need to log in before you can comment on or make changes to this bug.